<div class="tweet-wrapper">
  <div class="tweets">
    <div class="user-pics">
      <img src="http://www.gravatar.com/avatar/{{getHashedEmail(tweet.User.email)}}/?d=identicon">
    </div>
    <div class="user-content-box">
      <div class="user-names">
        <h1 class="full-name">{{tweet.User.first_name}} {{tweet.User.last_name}}</h1>
        <p class="user-name">@{{tweet.User.username}}</p>
        <p class="time">{{tweet.createdAt | date:'medium'}}</p>
      </div>

      <div class="user-content">
        <p>{{tweet.tweet}}</p>
      </div>
      <div class="content-icons">
        <a (click)="toggleComment()"> <i class="bi bi-chat blue">{{tweet.Comment.length}}</i></a>
        <a (click)="toggleLike()"><i class="bi bi-heart{{heartFill}} red">{{tweet.Likes.length}}</i></a>
      </div>

    </div>
  </div>
  <div *ngIf="isCommentsVisible">
    <div class="tweets comment" *ngFor="let comment of tweet.Comment">
      <div class="user-pics">
        <img src="http://www.gravatar.com/avatar/{{getHashedEmail(comment.User.email)}}/?d=identicon">
      </div>
      <div class="user-content-box">
        <div class="user-names">
          <h1 class="full-name">{{comment.User.first_name}} {{comment.User.last_name}}</h1>
          <p class="user-name">@{{comment.User.username}}</p>
          <p class="time">{{comment.createdAt | date:'medium'}}</p>
        </div>

        <div class="user-content">
          <p>{{comment.tweet}}
          </p>
        </div>
      </div>
    </div>
    <form class="form-group-1" [formGroup]="commentForm">
      <input type="text" placeholder="Comment" formControlName="comment">
      <button type="submit" class="submit" (click)="comment()">Comment</button>
    </form>
  </div>
</div>
